import math

from features.standard_deviation import standard_deviation
from testdata.constants import Acc_Y
from testdata.testdata import get_features, label_testdata

CLASS_JOGGEN = 1
CLASS_KNIEBEUGE = -1

SENSOR_FUSS = 1


def binary_classification_feature(window_size=30):
    """ Testdaten für P4 und P5 """

    personen = [
        (1, 1)  # Gruppe 1, Person 1
    ]

    # Standardabweichung in Y-Richtung sollte beim Joggen hoch und bei Kniebeuge gering sein
    joggen_feature = get_features(standard_deviation, window_size, 'joggen', SENSOR_FUSS, Acc_Y, personen)
    kniebeuge_feature = get_features(standard_deviation, window_size, 'kniebeuge', SENSOR_FUSS, Acc_Y, personen)

    return joggen_feature, kniebeuge_feature


def binary_classification_testdata():
    joggen_feature, kniebeuge_feature = binary_classification_feature(150)

    joggen_training, joggen_test = label_testdata(joggen_feature, CLASS_JOGGEN, math.inf)
    kniebeuge_training, kniebeuge_test = label_testdata(kniebeuge_feature, CLASS_KNIEBEUGE, math.inf)

    return joggen_training + kniebeuge_training, joggen_test + kniebeuge_test
