from algorithm.k_nearest_neighbors.distance_measure.euclidean_distance import euclidean_distance
from algorithm.k_nearest_neighbors.k_nearest_neighbors_algorithm import KNearestNeighborsAlgorithm
from aufgaben.p6.multiclass_error_rate import MulticlassErrorRate
from aufgaben.p7.multiple_class_classification import multiple_classes_testdata


def apply_k_nearest_neighbors():
    test_data, training_data = multiple_classes_testdata()

    # Trainiere den K-Nearest-Neighbors-Algorithm
    algorithm = KNearestNeighborsAlgorithm()
    algorithm.train(training_data)

    # Vergleiche alle Ergebnisse mit der erwarteten Klasse
    fehlerrate = MulticlassErrorRate()
    for features, correct_class in test_data:
        result = algorithm.classify(features, euclidean_distance, 10)
        fehlerrate.evaluate(correct_class, result)
    fehlerrate.print_table()


if __name__ == '__main__':
    apply_k_nearest_neighbors()
