from features.standard_deviation import standard_deviation
from testdata.constants import Acc_Y
from testdata.testdata import get_features, label_testdata

SENSOR_FUSS = 1


def multiple_classes_features(window_size=30):
    """ Testdaten für P7 """

    personen = [
        (2, 1),  # Gruppe 2, Person 1
        (2, 2)  # Gruppe 2, Person 2
    ]

    joggen_feature = get_features(standard_deviation, window_size, 'joggen', SENSOR_FUSS, Acc_Y, personen)
    gehen_feature = get_features(standard_deviation, window_size, 'gehen', SENSOR_FUSS, Acc_Y, personen)
    jumpingjack_feature = get_features(standard_deviation, window_size, 'jumpingjack', SENSOR_FUSS, Acc_Y, personen)

    return joggen_feature, gehen_feature, jumpingjack_feature


def multiple_classes_testdata():
    joggen_feature, gehen_feature, jumpingjack_feature = multiple_classes_features(100)

    joggen_training, joggen_test = label_testdata(joggen_feature, 'JOGGEN', 500)
    gehen_training, gehen_test = label_testdata(joggen_feature, 'GEHEN', 500)
    jumpingjack_training, jumpingjack_test = label_testdata(jumpingjack_feature, 'JUMPINGJACK', 500)

    trainings_data = joggen_training + gehen_training + jumpingjack_training
    test_data = joggen_test + gehen_test + jumpingjack_test

    return trainings_data, test_data
